export enum TimelineEvents {
  JAMBOREE = 'jamboree',
  REGIONAL = '5 regional jamborees',
  WORLD = '1 world championship',
  GIANT = 'giant jamboree',
  VIRTUAL = 'virtual giant jamboree',
  MEETUPS = '10 jamboree meetups',
  GRAND = 'grand jamboree'
}
export enum TimelineLocations {
  BOSTON = 'Boston, USA',
  PARIS = 'Paris, France',
  ONLINE = 'Online'
}

export interface TimelineItemInfo {
  teams?: number
  participants?: number
  events: TimelineEvents[]
  location: TimelineLocations
}
export const timeline: Record<string, TimelineItemInfo> = {
  2022: {
    events: [TimelineEvents.GRAND],
    location: TimelineLocations.PARIS
  },
  2021: {
    teams: 350,
    participants: 7314,
    events: [TimelineEvents.MEETUPS, TimelineEvents.VIRTUAL],
    location: TimelineLocations.ONLINE
  },
  2020: {
    teams: 249,
    participants: 4800,
    events: [TimelineEvents.VIRTUAL],
    location: TimelineLocations.ONLINE
  },
  2019: {
    teams: 353,
    participants: 6375,
    events: [TimelineEvents.GIANT],
    location: TimelineLocations.BOSTON
  },
  2018: {
    teams: 340,
    participants: 5790,
    events: [TimelineEvents.GIANT],
    location: TimelineLocations.BOSTON
  },
  2017: {
    teams: 310,
    participants: 5386,
    events: [TimelineEvents.GIANT],
    location: TimelineLocations.BOSTON
  },
  2016: {
    teams: 300,
    participants: 4432,
    events: [TimelineEvents.GIANT],
    location: TimelineLocations.BOSTON
  },
  2015: {
    teams: 280,
    participants: 5018,
    events: [TimelineEvents.GIANT],
    location: TimelineLocations.BOSTON
  },
  2014: {
    teams: 245,
    participants: 4515,
    events: [TimelineEvents.GIANT],
    location: TimelineLocations.BOSTON
  },
  2013: {
    teams: 215,
    participants: 4027,
    events: [TimelineEvents.REGIONAL, TimelineEvents.WORLD],
    location: TimelineLocations.BOSTON
  },
  2012: {
    teams: 190,
    participants: 3696,
    events: [TimelineEvents.REGIONAL, TimelineEvents.WORLD],
    location: TimelineLocations.BOSTON
  },
  2011: {
    teams: 165,
    participants: 2586,
    events: [TimelineEvents.REGIONAL, TimelineEvents.WORLD],
    location: TimelineLocations.BOSTON
  },
  2010: {
    teams: 128,
    participants: 2327,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  },
  2009: {
    teams: 113,
    participants: 1840,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  },
  2008: {
    teams: 88,
    participants: 1248,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  },
  2007: {
    teams: 54,
    participants: 777,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  },
  2006: {
    teams: 32,
    participants: 723,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  },
  2005: {
    teams: 13,
    participants: 125,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  },
  2004: {
    teams: 5,
    participants: 31,
    events: [TimelineEvents.JAMBOREE],
    location: TimelineLocations.BOSTON
  }
}
