import { Button, ButtonVariant, Chevron } from '@igem/ui-components'
import React from 'react'

interface ButtonWithLinkProps {
  link: string
  title: string
}

const ButtonWithLink = ({
  title,
  link
}: ButtonWithLinkProps): JSX.Element => {
  return (
    <a href={link} target='_blank' rel='noreferrer' className='button-with-link'>
      <Button variant={ButtonVariant.PRIMARY}>
        <div className='flex items-center justify-center ii-text-sm font-bold'>
          <Chevron className='transform -rotate-90 w-4 flex-shrink-0' />
          {title}
        </div>
      </Button>
    </a>
  )
}

export default ButtonWithLink
