import { Divider } from '@igem/ui-components'
import React from 'react'
import ButtonWithLink from './ButtonWithLink'

export interface SectionTitleProps {
  title: string
  subtitle: string
  description?: string
  links?: Array<{
    link: string
    title: string
  }>
}

export const SectionTitle = ({ title, subtitle, description, links }: SectionTitleProps): JSX.Element => {
  return (
    <div className='ii-vertical-spacing ii-page-content'>
      <div className='flex items-center ii-small-caps text-gray-700 mt-6'>
        {title}
        <Divider className='ml-2' />
      </div>
      <div className='flex flex-col sm:flex-row items-center mt-3 mb-6 gap-x-10 gap-y-5'>
        <h3>{subtitle}</h3>
        {links?.map(({ link, title }) =>
          <ButtonWithLink
            key={link}
            link={link}
            title={title}
          />
        )}
      </div>
      {description !== undefined && <p>{description}</p>}
    </div>
  )
}
