import * as components from '@igem/ui-components'
import { MdxRouter } from '@igem/mdx-utils'
import { Route } from 'react-router-dom'
import contentIndex from '../../utils/ContentIndex'
import InfoBox from '../../components/InfoBox'
import ButtonWithLink from '../../components/ButtonWithLink'
import ItemWithDescription from '../../components/ItemWithDescription'
import { SectionTitle } from '../../components/SectionTitle'

const RedirectToOldIgem = (): JSX.Element => {
  const pathname = window.location.pathname
  window.location.href = `https://old.igem.org${pathname}`
  return <></>
}

const App = (): JSX.Element => {
  return (
    <div className='ii-app'>
      <components.NavBar
        page={components.LINK_VALUE.PROJECTS}
        showTemporaryBanner
      />
      <components.ScrollingContentWrapper>
        <MdxRouter
          components={{ ...components, InfoBox, ItemWithDescription, ButtonWithLink, SectionTitle }}
          contentStructure={contentIndex}
          defaultContentWrapper={<components.CenteredContentWrapper />}
          otherRoutes={<Route path='*' element={<RedirectToOldIgem />} />}
        />
        <components.Footer />
      </components.ScrollingContentWrapper>
    </div>
  )
}

export default App
